task:
  name: stable x86_64-unknown-freebsd-11
  freebsd_instance:
    image: freebsd-11-3-stable-amd64-v20190801
  setup_script:
    - pkg install -y curl
    - curl https://sh.rustup.rs -sSf --output rustup.sh
    - sh rustup.sh -y
    - . $HOME/.cargo/env
    - rustup default stable
  test_script:
    - . $HOME/.cargo/env
    - LIBC_CI=1 sh ci/run.sh x86_64-unknown-freebsd
    - sh ci/run.sh x86_64-unknown-freebsd
    
task:
  name: nightly x86_64-unknown-freebsd-12
  freebsd_instance:
    image: freebsd-12-0-release-amd64
  setup_script:
    - pkg install -y curl
    - curl https://sh.rustup.rs -sSf --output rustup.sh
    - sh rustup.sh --default-toolchain nightly -y
    - . $HOME/.cargo/env
    - rustup default nightly
  test_script:
    - . $HOME/.cargo/env
    - LIBC_CI=1 sh ci/run.sh x86_64-unknown-freebsd
    - sh ci/run.sh x86_64-unknown-freebsd
